import { Controller } from "@stimulus/core";

export default class extends Controller {
    static targets = ['collapse', 'button']
    connect() {
        this.collapseTarget.addEventListener ('hide.bs.collapse', () => {
            this.buttonTarget.innerHTML = '<i class="fa fa-chevron-circle-right fa-lg"></i>';
        });
        this.collapseTarget.addEventListener ('show.bs.collapse', () => {
            this.buttonTarget.innerHTML = '<i class="fa fa-chevron-circle-down fa-lg"></i>';
        })
    }
}